@import "./variables";

@import "../node_modules/bootstrap/scss/bootstrap.scss";

@import "./basic";
@import "./general";

ul.filesystem {
  margin: 0px 0px 0px 20px;
  list-style: none;
  line-height: 2em;
  font-family: Arial;

  li {
    font-size: 16px;
    position: relative;

    &:before {
      position: absolute;
      left: -15px;
      top: 0px;
      content: '';
      display: block;
      border-left: 1px solid #ddd;
      height: 1em;
      border-bottom: 1px solid #ddd;
      width: 10px;
    }

    &:after {
      position: absolute;
      left: -15px;
      bottom: -7px;
      content: '';
      display: block;
      border-left: 1px solid #ddd;
      height: 100%;
    }

    &.root {
      margin: 0px 0px 0px -20px;

      &:before {
        display: none;
      }

      &:after {
        display: none;
      }


    }


    &:last-child {
      &:after {
        display: none
      }
    }
  }
}

.json-with-clipboard {
  position: relative;
  .btn.btn-sm, .btn-group-sm > .btn {
    position: relative;
    top: 40px;
    left: calc(100% - 50px);
  }
}